Request example
CURL
curl -X GET "https://api.buddy.works/user/tokens/:token_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/user/tokens/0123456789abcdef0123456789abcdef0123",
"html_url": "https://app.buddy.works/api-tokens/details/0123456789abcdef0123456789abcdef0123",
"id": "0123456789abcdef0123456789abcdef0123",
"name": "My API Token",
"expires_at": "2025-10-17T10:30:18.123456789Z",
"scopes": [
"WORKSPACE_MANAGE",
"REPOSITORY_READ"
],
"ip_restrictions": [
"192.168.1.100",
"10.0.0.0/8"
],
"workspace_restrictions": [
"my-workspace"
]
}STATUS
200 OK